=== Documentation/mic/Makefile ===
subdir-y := mpssd
