=== fs/quota/Makefile ===
obj-$(CONFIG_QUOTA)		+= dquot.o
obj-$(CONFIG_QFMT_V1)		+= quota_v1.o
obj-$(CONFIG_QFMT_V2)		+= quota_v2.o
obj-$(CONFIG_QUOTA_TREE)	+= quota_tree.o
obj-$(CONFIG_QUOTACTL)		+= quota.o kqid.o
obj-$(CONFIG_QUOTACTL_COMPAT)	+= compat.o
obj-$(CONFIG_QUOTA_NETLINK_INTERFACE)	+= netlink.o
